//公共设置

//得到域名
var getHost = function(url) { 
         var host = "null";
         if(typeof url == "undefined"
                         || null == url)
                 url = window.location.href;
         var regex = /(.*\:\/\/[^\/]*).*/;
         var match = url.match(regex);
         if(typeof match != "undefined"
                         && null != match)
                 host = match[1];
         return host;
}
//
var siteName="最好的人才系统";

//设置为首页
function setShouye(obj)
{
//<a href="#" onclick="setShouye(this);"> 使用代码
   obj.style.behavior='url(#default#homepage)';
   obj.setHomePage(getHost());
   return(false); 
}
//收藏本站
function shoucangSite()
{
//href="javascript:shoucangSite();" 使用代码 
    window.external.addFavorite(getHost(),getHost());
}


//得到gird的一行中的第N个单元格
function GetGridrowCell(obj,num)
{
    var row=obj.parentNode.parentNode;//grid一行
    return row.childNodes[num].innerText;
}

//得到最上层窗体 对象
function   maxtopUrl()   
{   
    var   turl   =   window.parent.location;   
    var   url="";   
    var   obj   =   window.parent;   
    while(turl   !=   url)   
    {   
    url   =   turl;   
    turl   =   obj.parent.location;   
    obj   =   obj.parent;   
    }   
    
    return   obj;   
}




